<?xml version='1.0' encoding='utf-8' ?>

<!--
This channel allows the creation and display of a custom message by select department faculty members.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="mediaPath">/media/org/jasig/portal/channels/CGenericXSLT/DeptMsg</xsl:variable>
<xsl:param name="baseActionURL">baseActionURL not set</xsl:param>
<xsl:param name="mediaBase"></xsl:param> 
<xsl:param name="action"></xsl:param>
<xsl:output method="html"/>
<!--
<xsl:preserve-space elements="message"/>
-->

  <xsl:template match="/">
    <xsl:choose>
      <xsl:when test="$action='view'">
        <xsl:apply-templates select="message" />
      </xsl:when>
      <xsl:when test="$action='edit'">
        <xsl:call-template name="editMsg" />
      </xsl:when>
      <xsl:when test="$action='help'">
        <xsl:call-template name="helpText" />
      </xsl:when>
      <xsl:when test="$action='about'">
        <xsl:call-template name="aboutText" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="message" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="message">
    <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
      <xsl:apply-templates select="fromName"/>
      <xsl:apply-templates select="headline"/>
      <xsl:apply-templates select="body"/>
    </table>
  </xsl:template>

  <xsl:template match="fromName">
    <tr>
      <td class="uportal-channel-strong" nowrap="nowrap">
        <img src="{$mediaBase}/{$mediaPath}/note.gif" width="50" height="50" alt="" /> 
        <img alt="" src="{$mediaPath}/transparent.gif" width="66" height="1"/>
        ...<xsl:value-of select="." />
      </td>
   </tr>
  </xsl:template> 

  <xsl:template match="headline">
    <tr>
      <td class="uportal-channel-strong" align="left" nowrap="nowrap">
        <xsl:value-of select="." />
      </td>
   </tr>
  </xsl:template> 

  <xsl:template match="body">
    <xsl:for-each select="paragraph">
      <tr>
        <td class="uportal-channel-text">
          <xsl:value-of select="."/>
        </td>
      </tr>
    </xsl:for-each> 
  </xsl:template>

  <xsl:template match="break">
      <tr>
        <td>
           <br/>
        </td>
      </tr>
  </xsl:template>

  <xsl:template match="newline">
      <tr>
        <td>
        </td>
      </tr>
  </xsl:template>

  <xsl:template name="editMsg" >
   <form name="capture" action="#" method="post">
     <input type="hidden" name="form_action" value="none"/>
     <input type="hidden" name="button_action" value="none"/>
     <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
       <tr class="uportal-channel-text">
         <td align="left">
           Name/Title:
         </td>
       </tr>
       <tr class="uportal-channel-text">
         <td align="left">
           <input type="text" size="50" class="uportal-input-text" name="form_fromName" value="{message/fromName}" />
         </td>
       </tr>
       <tr class="uportal-channel-text">
         <td align="left">
           Headline:
         </td>
       </tr>
       <tr class="uportal-channel-text">
         <td align="left">
           <input type="text" size="50" class="uportal-input-text" name="form_headline" value="{message/headline}" />
         </td>
       </tr>
       <tr class="uportal-channel-text">
         <td align="left">
           Message:
         </td>
       </tr>
       <tr class="uportal-channel-text">
         <td align="left">
           <textarea name="form_body" rows="15" cols="50" class="uportal-input-text" nowrap="physical"><xsl:value-of select="message/body"/></textarea>
         </td>
       </tr>
       <tr>
         <td align="center">
           <input type="submit" name="form_submit" value="Cancel" class="uportal-button"/> 
           <img alt="" src="{$mediaPath}/transparent.gif" width="10" height="1"/>
           <input type="submit" name="form_submit" value="Save and Return" class="uportal-button"/> 
         </td>
       </tr>
     </table>
   </form>
 </xsl:template>

 <xsl:template name="aboutText">
   <form action="{$baseActionURL}" method="post">
     <input type="hidden" name="reset" value="return" />
     <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
       <tr class="uportal-channel-text">
         <td>
           This channel will display available messages from select faculty members.
         </td>
       </tr>
       <tr>
         <td align="center">
           <input type="submit" name="submit" value=" OK " class="uportal-button" />
         </td>
       </tr>
     </table>
   </form>
 </xsl:template>

 <xsl:template name="helpText">
   <form action="{$baseActionURL}" method="post">
     <input type="hidden" name="reset" value="return" />
     <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
       <tr class="uportal-channel-text">
         <td>
           If you are a select faculty member, you may produce a message by clicking the Edit button and typing in an optional headline and message body.
         </td>
       </tr>
       <tr>
         <td align="center">
           <input type="submit" name="submit" value=" OK " class="uportal-button" />
         </td>
       </tr>
     </table>
   </form>
 </xsl:template>
  
</xsl:stylesheet>
