<?xml version='1.0' encoding='utf-8' ?>

<!--
This channel displays introductory information about the UCCS Computer Science Department.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="mediaPath">/media/org/jasig/portal/channels/CGenericXSLT/CSIntro</xsl:variable>
<xsl:param name="mediaBase"></xsl:param> 

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
 
  <xsl:template match="csIntro">
    <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
      <xsl:apply-templates select="image"/>
      <xsl:apply-templates select="paragraphs"/>
    </table>
  </xsl:template>
  
  <xsl:template match="image">
    <tr>
      <td>
        <img src="{$mediaBase}/{$mediaPath}/overvi1.jpeg" width="{width}" height="{height}" alt="" /> 
      </td>
      <td class="uportal-channel-text">
        <xsl:value-of select="//introduction" />
      </td>
    </tr>
    <tr>
      <td class="uportal-label">
        <xsl:value-of select="caption" />
      </td>
    </tr>    
  </xsl:template> 

  <xsl:template match="paragraphs">
    <xsl:for-each select="paragraph">
        <tr align="left" valign="top">
          <td colspan="2" class="uportal-channel-text">
          <xsl:value-of select="."/>
          <br/>
        </td>
      </tr>
    </xsl:for-each> 
  </xsl:template>
 
</xsl:stylesheet>
