<?xml version='1.0' encoding='utf-8' ?>

<!--
This channel displays pictures and information about members of the UCCS Computer Science Department faculty.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="mediaPath">/media/org/jasig/portal/channels/CGenericXSLT/Faculty</xsl:variable>
<xsl:param name="mediaBase"></xsl:param> 
<xsl:variable name="width">90</xsl:variable>
<xsl:variable name="height">115</xsl:variable>

  <xsl:template match="/">
   <xsl:apply-templates/>
  </xsl:template>
 
  <xsl:template match="faculty">
      <xsl:apply-templates select="member"/>
  </xsl:template>

  <xsl:template match="member">
    <xsl:variable name="number"><xsl:number /></xsl:variable>
    <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
      <xsl:if test="$number mod 2 = 1"> 
        <xsl:call-template name="odd-row-pic" />
        <xsl:call-template name="description">
          <xsl:with-param name="side" select="'left'" />
        </xsl:call-template>
      </xsl:if>   
      <xsl:if test="$number mod 2 = 0">
        <xsl:call-template name="even-row-pic" />
        <xsl:call-template name="description">
          <xsl:with-param name="side" select="'right'" />
        </xsl:call-template>
      </xsl:if>
    </table>
  </xsl:template> 

  <xsl:template name="odd-row-pic">  
    <tr nowrap="nowrap"> 
      <xsl:if test="string(imageURI) != ''"> 
        <td colspan="1" rowspan="7" width="{$width}">
           <a href="{website}">
             <img src="{$mediaBase}{$mediaPath}/{imageURI}" width="{$width}" height="{$height}" alt="Photo Not Available" /> 
           </a>
        </td> 
      </xsl:if>
      <td colspan="1" rowspan="1" align="left">
        <img alt="" src="{$mediaPath}/transparent.gif" width="1" height="1"/>
      </td>
    </tr>
  </xsl:template> 

  <xsl:template name="even-row-pic">  
    <tr nowrap="nowrap"> 
      <td colspan="1" rowspan="1" align="right">
          <img alt="" src="{$mediaPath}/transparent.gif" width="1" height="1"/>
      </td>
      <xsl:if test="string(imageURI) != ''"> 
        <td colspan="1" rowspan="7" width="{$width}">
          <a href="{website}">
            <img src="{$mediaBase}{$mediaPath}/{imageURI}" width="{$width}" height="{$height}" alt="Photo Not Available" /> 
          </a>
        </td> 
      </xsl:if>
    </tr>
  </xsl:template> 

  <xsl:template name="description">  
  <xsl:param name="side"></xsl:param> 
    <tr> 
       <td colspan="1" rowspan="1" align="{$side}" nowrap="nowrap" class="uportal-channel-text">
         <xsl:value-of select="name"/>
       </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1" align="{$side}" nowrap="nowrap" class="uportal-channel-text">
        <xsl:value-of select="concat(title, ' of Computer Science')"/>
      </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1" align="{$side}" nowrap="nowrap" class="uportal-channel-text">
        <xsl:value-of select="concat('(719) 262-', extension)"/>
      </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1" align="{$side}" nowrap="nowrap" class="uportal-channel-text">
        <xsl:value-of select="email"/>
      </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1">
          <img alt="" src="{$mediaPath}/transparent.gif" width="1" height="1"/>
      </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1">
          <img alt="" src="{$mediaPath}/transparent.gif" width="1" height="1"/>
      </td>
    </tr>
    <tr> 
      <td colspan="1" rowspan="1">
          <img alt="" src="{$mediaPath}/transparent.gif" width="1" height="1"/>
      </td>
    </tr>
  </xsl:template> 
  
</xsl:stylesheet>
